class DateUtils
{

    //--------------------------
    // constructor
    //--------------------------
    constructor()
    {}
    //--------------------------
    // methods
    //--------------------------
    getMKtime()
    {
        var time = new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate(), new Date().getHours(), new Date().getMinutes(), new Date().getSeconds(), 0).getTime() / 1000;
        return time;
    }

    convertMKtime(seconds)
    {
        var date = new Date(seconds * 1000);
        return date;
    }

    //--------------------------
    // event handlers
    //--------------------------
}
export default DateUtils
